function f1(val)
    return val..'1', val..'2';
end

function g(val1, val2, val3)
    --local params = {...};
    local n = 10;
end

function DoTest()
    local a,b = f1('momot');
    g(f1('pipi'), 'xxx', 1, 2, 3, 4);
    g('xxx', f1('pipi'));
    g(f1('pipi'));

	local a = 5;
end
